{{ define "header"}}
    <div class="top-bar">
        <a class="back-btn icon" onclick="history.back()">
            <svg>
                <use xlink:href="assets/img/solid.svg#chevron-left"></use>
            </svg>
        </a>
        <div class="title">{{.Name}}</div>
    </div>
{{end}}

{{ define "content"}}
    <div class="server-edit">
        <form id="server-delete" action="servers/{{.Id}}/delete" method="post" hidden></form>
        <form id="server-edit" action="servers{{if (gt .Id 0)}}/{{.Id}}{{end}}" method="post">
            <div class="control">
                <label>URI</label>
                <input type="text" name="name" value="{{.Name}}">
            </div>
            <div class="control">
                <label>Port</label>
                <input type="number" name="port" value="{{.Port}}">
            </div>
            <div class="control">
                <label>SSL</label>
                <input id="ssl" type="checkbox" name="ssl" {{if .Ssl}}checked="checked"{{end}}><label for="ssl" class="checkbox-label">toggle</label>
            </div>

            <h3 class="has-addons">
                <div class="is-full-width">Channels</div>
                <add-channel class="icon small" target=".channels">
                    <svg>
                        <use xlink:href="assets/img/solid.svg#plus"></use>
                    </svg>
                </add-channel>
            </h3>

            <div class="channels">
                {{ range .Channels }}
                <div class="control has-addons">
                    <input type="text" name="channel" value="{{.Name}}">
                    <delete-channel class="icon" target=".channels">
                    </delete-channel>
                </div>
                {{end}}
            </div>
        </form>

        <div class="buttons">
            <button class="btn" type="submit" form="server-delete">Delete</button>
            <button class="btn primary" type="submit" form="server-edit">Save</button>
        </div>

    </div>

    <template id="new-channel">
        <div class="control has-addons">
            <input type="text" name="channel">
            <delete-channel class="icon" target=".channels">
            </delete-channel>
        </div>
    </template>
{{end}}